import { CONTRACT } from '../../typings/contractTypes';
import { TOKEN, MEMORY_SLOT } from '../../typings/syntaxTypes';
/**
 * Create assembly intructions for binary operators or SetOperators.
 * @returns the assembly code necessary for the assignment to happen
 */
export default function operatorToAsm(Program: CONTRACT, OperatorToken: TOKEN, LeftMem: MEMORY_SLOT, RightMem: MEMORY_SLOT): string;
