import { CONTRACT } from '../typings/contractTypes';
import { MEMORY_SLOT, TOKEN } from '../typings/syntaxTypes';
/** Process a tokens sequence from a Sentence phrase and return the variables
 * that were defined, in Memory object form
 * @param Program - Helper and Context.
 * @param phraseCode Code to be analyzed
 * @param structPrefix Optional. If processing struct members, set as struct name + '_'.
 * @returns Array of memory objects declared
 * @throws {Error} on any mistakes
 */
export default function memoryProcessor(Program: CONTRACT, phraseCode: TOKEN[], structPrefix?: string): MEMORY_SLOT[];
