import { CONTRACT } from '../typings/contractTypes';
import { PRE_TOKEN } from '../typings/syntaxTypes';
/**
 * Transforms inputSourceCode into an array of pre tokens.
 * This array is not recursive.
 * @param inputSourceCode source code text
 * @returns array of pre tokens
 */
export default function tokenizer(Program: CONTRACT, inputSourceCode: string): PRE_TOKEN[];
